//  ***************************************************************
//  CityCell - Creation date: 08/25/2012
//  -------------------------------------------------------------
//  Robinson Technologies Copyright (C) 2012 - All Rights Reserved
//
//  ***************************************************************
//  Programmer(s):  Seth A. Robinson (seth@rtsoft.com)
//  ***************************************************************

#ifndef CityCell_h__
#define CityCell_h__


enum eCellType
{
	TYPE_BLANK,
	TYPE_4_BASIC,
	TYPE_1_GUN,
	TYPE_3_GUN,
	TYPE_3_ANGLED_RIGHT_GUN,
	TYPE_3_BASIC,
	TYPE_2_BASIC,
	TYPE_2_CORNER_BASIC,
	TYPE_2_CORNER_LEFT_GUN,
	TYPE_2_GUN
};


enum eCellOrientation
{
	ORIENTATION_LEFT,
	ORIENTATION_RIGHT,
	ORIENTATION_UP,
	ORIENTATION_DOWN,

	ORIENTATION_COUNT
};

enum eOverlayType
{
	OVERLAY_NONE,
	OVERLAY_HEART,
	OVERLAY_NUKE,
	OVERLAY_GENERATOR
};

enum eSocketType
{
	SOCKET_NONE,
	SOCKET_PLUG,
	SOCKET_WEAPON_STRAIGHT,
	SOCKET_WEAPON_DIAGONAL_RIGHT,
	SOCKET_WEAPON_DIAGONAL_LEFT
};



class CityCell
{
public:
	
	CityCell();

	eSocketType m_socket[ORIENTATION_COUNT];

	void Set(eCellType type, eCellOrientation orientation = ORIENTATION_UP, eOverlayType overlayType = OVERLAY_NONE);
	void SetGridPos(int x, int y);
	int GetOpenSocketCount();
	void Clear();
	void RotateSockets90Degrees();

	bool IsClickable();
	void OnClicked();
	void OnDamage(float damage);
	uint32 GetColor();
	float GetHealthPercent();
	void Rotate();
	int m_posX, m_posY;

	eCellType m_type;
	eOverlayType m_overlayType;
	eCellOrientation m_orientation;
	float m_graphicRotationDegrees;
	float m_health;
	float m_maxHealth;
	uint32 m_baseColor;
	int m_previewNum;
	bool m_bCanRotate;
	
};


#endif // CityCell_h__
