#include "PlatformPrecomp.h"
#include "GameGUI.h"
#include "Entity/EntityUtils.h"
#include "Entity/CustomInputComponent.h"
#include "Component/GameLogicComponent.h"

void GameMenuOnSelect(VariantList *pVList) //0=vec2 point of click, 1=entity sent from
{
	Entity *pEntClicked = pVList->m_variant[1].GetEntity();
	LogMsg("Clicked %s entity at %s", pEntClicked->GetName().c_str(),pVList->m_variant[1].Print().c_str());
	Entity *pMenu = GetEntityRoot()->GetEntityByName("GameMenu");

	/*
	if (pEntClicked->GetName() == "Play")
	{
		//overlay the debug menu over this one
		pMenu->RemoveComponentByName("FocusInput");
		LogMsg("Clicked play");
		GetMessageManager()->CallComponentFunction(GetGameLogic(), 500, "InitMap");
		FadeOutAndKillEntity(pMenu, true, 500);
	}
	*/

	GetEntityRoot()->PrintTreeAsText(); //useful for debugging
}

void SetResourceText(int num)
{
	SetTextEntityByName("Resources", "Resources: `2"+toString(num)+"``");
}

void SetDayText(int num)
{
	SetTextEntityByName("Day", "Day "+toString(num)+"");
}

void StatusBarUpdate(VariantList *pVList)
{
	Entity *pStatus= GetEntityRoot()->GetEntityByName("Status");
	
	if (pStatus)
	{
		//LogMsg("Updating progress with %.2f", GetGameLogic()->GetProgressOfAttack());
		SetProgressBarPercent(pStatus, GetGameLogic()->GetProgressOfAttack());
	}

}

void GUIShowProgressBar(bool bShow)
{

	Entity *pOldEnt = GetEntityRoot()->GetEntityByName("Status");

	if (bShow)
	{
		if (pOldEnt)
		{
			KillEntity(pOldEnt);
			LogMsg("Huh!?");
		}
		//create it
		Entity *pBG = GetEntityRoot()->GetEntityByName("GameGUI");

		if (!pBG)
		{
			assert(!"Huh?!");
			return;
		}
		Entity *pEnt = new Entity("Status");

		pBG->AddEntity(pEnt);
		EntityComponent *pComp = pEnt->AddComponent(new ProgressBarComponent);
		pComp->GetVar("interpolationTimeMS")->Set(uint32(1)); //no smooth interoplation, screws up because we set it every frame
		SetPos2DEntity(pEnt, CL_Vec2f(10, 30));
		SetSize2DEntity(pEnt, CL_Vec2f(GetScreenSizeXf()-20,6));
		pEnt->GetVar("color")->Set(MAKE_RGBA(0,0,200,200));


		pEnt->GetFunction("OnUpdate")->sig_function.connect(StatusBarUpdate);

		
	} else
	{
		if (pOldEnt)
		{
			pOldEnt->SetName("CRAPOLA");
			FadeOutAndKillEntity(pOldEnt, true, 500);
		} else
		{
			LogMsg("not found");
		}
	}
}

Entity * GameMenuCreate(Entity *pParentEnt)
{
	

	Entity *pBG = pParentEnt->AddEntity(new Entity("GameGUI"));
	AddFocusIfNeeded(pBG);

	Entity *pButtonEntity = CreateTextButtonEntity(pBG, "Quit", 5,5, "Back");
	
	pButtonEntity = CreateTextLabelEntity(pBG, "Resources", GetScreenSizeXf()-iPadMapX(200), 5, "");
	SetResourceText(0);

	pButtonEntity = CreateTextLabelEntity(pBG, "Day", GetScreenSizeXf()/2, 5, "");
	SetAlignmentEntity(pButtonEntity, ALIGNMENT_UPPER_CENTER);
	SetDayText(1);

	//SlideScreen(pBG, true);
	FadeInEntity(pBG, true, 1000, 0);
	return pBG;
}
