#include "PlatformPrecomp.h"
#include "HelpMenu.h"
#include "Entity/EntityUtils.h"
#include "Entity/CustomInputComponent.h"
#include "Component/GameLogicComponent.h"

void HelpMenuOnSelect(VariantList *pVList) //0=vec2 point of click, 1=entity sent from
{
	Entity *pEntClicked = pVList->m_variant[1].GetEntity();
	LogMsg("Clicked %s entity at %s", pEntClicked->GetName().c_str(),pVList->m_variant[1].Print().c_str());
	Entity *pMenu = GetEntityRoot()->GetEntityByName("HelpMenu");


		pMenu->RemoveComponentByName("FocusInput");
		LogMsg("Clicked play");
		GetMessageManager()->CallComponentFunction(GetGameLogic(), 1, "InitMap");
		FadeOutAndKillEntity(pMenu, true, 500);

}


Entity * HelpMenuCreate(Entity *pParentEnt)
{

	Entity *pBG = CreateOverlayButtonEntity(pParentEnt, "HelpMenu", "game/help.rttex", 0, 0);

	AddFocusIfNeeded(pBG);
	pBG->GetFunction("OnButtonSelected")->sig_function.connect(&HelpMenuOnSelect);
	RemovePaddingEntity(pBG);

	//SlideScreen(pBG, true);
	FadeInEntity(pBG, true, 500, 0);
	return pBG;
}
