#include "PlatformPrecomp.h"
#include "GameGUI.h"
#include "Entity/EntityUtils.h"
#include "Entity/CustomInputComponent.h"
#include "Component/GameLogicComponent.h"

const int SEED_COUNT =3;
int g_seed[SEED_COUNT];

bool g_selectedSomething = false;


void UpgradeMenuOnSelect(VariantList *pVList) //0=vec2 point of click, 1=entity sent from
{
	Entity *pEntClicked = pVList->m_variant[1].GetEntity();
	LogMsg("Clicked %s entity at %s", pEntClicked->GetName().c_str(),pVList->m_variant[1].Print().c_str());
	Entity *pMenu = GetEntityRoot()->GetEntityByName("UpgradeMenu");

	if (pEntClicked->GetName() == "1")
	{
		g_selectedSomething = true;
		GetGameLogic()->PreviewUpgrade(g_seed[0]);
	}

	if (pEntClicked->GetName() == "2")
	{
		g_selectedSomething = true;
	GetGameLogic()->PreviewUpgrade(g_seed[1]);
	}

	if (pEntClicked->GetName() == "3")
	{
		g_selectedSomething = true;
		GetGameLogic()->PreviewUpgrade(g_seed[2]);
	}

	if (pEntClicked->GetName() == "ok")
	{
		if (!g_selectedSomething)
		{
			ShowTextMessage("Choose a plan first!");
			return;
		}
		//overlay the debug menu over this one
		pMenu->RemoveComponentByName("FocusInput");
		
		ZoomToPositionOffsetEntity(pMenu, CL_Vec2f(0, 400), 1000);
		FadeOutAndKillEntity(pMenu, true, 1000);
		GetMessageManager()->SendGame(MESSAGE_TYPE_PLAY_SOUND, "audio/build.wav", 1, TIMER_SYSTEM);

		GetGameLogic()->FinalizeUpgrade();
	}
	
	GetEntityRoot()->PrintTreeAsText(); //useful for debugging
}


Entity * UpgradeMenuCreate(Entity *pParentEnt, string msg)
{
	g_selectedSomething = false;

	for (int i=0; i < SEED_COUNT; i++)
	{
		g_seed[i] = Random(RT_RAND_MAX);
	}

	Entity *pBG = CreateOverlayEntity(pParentEnt, "UpgradeMenu", "game/upgrade_bg.rttex", 20, GetScreenSizeYf()-150);

	AddFocusIfNeeded(pBG);

	
	//add text message
	
	Entity* pTextBox = CreateTextBoxEntity(pBG, "TextBox", CL_Vec2f(15,10), CL_Vec2f(550,300), msg, 1.0f);
	SetupTextEntity(pTextBox, FONT_LARGE, 0.7f);
	TypeTextLabelEntity(pTextBox, 0, 10);

	//add the buttons
	Entity *pButton;

	pButton = CreateOverlayButtonEntity(pBG, "1", "game/upgrade_1.rttex", 21, 87);
	pButton->GetFunction("OnButtonSelected")->sig_function.connect(UpgradeMenuOnSelect);
	ZoomToPositionFromThisOffsetEntity(pButton, CL_Vec2f(0,100), 600);

	pButton = CreateOverlayButtonEntity(pBG, "2", "game/upgrade_2.rttex", 175, 87);
	pButton->GetFunction("OnButtonSelected")->sig_function.connect(UpgradeMenuOnSelect);
	ZoomToPositionFromThisOffsetEntity(pButton, CL_Vec2f(0,100), 700);

	pButton = CreateOverlayButtonEntity(pBG, "3", "game/upgrade_3.rttex", 329, 87);
	pButton->GetFunction("OnButtonSelected")->sig_function.connect(UpgradeMenuOnSelect);
	ZoomToPositionFromThisOffsetEntity(pButton, CL_Vec2f(0,100), 800);

	pButton = CreateOverlayButtonEntity(pBG, "ok", "game/upgrade_ok.rttex", 487, 87);
	pButton->GetFunction("OnButtonSelected")->sig_function.connect(UpgradeMenuOnSelect);
	ZoomToPositionFromThisOffsetEntity(pButton, CL_Vec2f(0,100), 900);

	//SlideScreen(pBG, true);
	FadeInEntity(pBG, true, 1000, 0);
	
	return pBG;
}
