//  ***************************************************************
//  RockSpawner - Creation date: 08/26/2012
//  -------------------------------------------------------------
//  Robinson Technologies Copyright (C) 2012 - All Rights Reserved
//
//  ***************************************************************
//  Programmer(s):  Seth A. Robinson (seth@rtsoft.com)
//  ***************************************************************

#ifndef RockSpawner_h__
#define RockSpawner_h__

#include "Math/WeightRand.h"

class RockSpawner
{
public:
	RockSpawner();
	virtual ~RockSpawner();

	enum eType
	{
		TYPE_EASY,
		TYPE_MEDIUM,
		TYPE_HARD
			
	};

	enum eSpawnType
	{
		SPAWN_TINY,
		SPAWN_SMALL,
		SPAWN_MEDIUM,
		SPAWN_BIG,
		SPAWN_HUGE
	};

	void Init(eType type, int lengthMS, int rockMinMS, int rockMaxMS, uint32 color );
	
	void Update();
	void Clear();

private:

	void ScheduleNextEvent();
	void SpawnRock();
	
	int m_rockMinMS;
	int m_rockMaxMS;

	uint32 m_timer;
	uint32 m_spawnTimer;
	CWeightRand m_rand;
	eType m_type;
	uint32 m_color;

};

#endif // RockSpawner_h__